Skip to content

Void Label

Request

This endpoint allows voiding label by providing either shipment_no or platform_uk_id. Only one parameter is required to uniquely identify a shipment.

Security
BearerAuth
Bodyapplication/jsonrequired
shipment_nostring(ShipmentNo)

Unique identifier of the created shipment.

Example:"1222243159"
platform_uk_idstring(PlatformUkId)

A unique identifier provided by the calling party (e.g., the caller’s order number). Each platform_uk_id must correspond to exactly one shipment and cannot be reused across multiple shipments.

Example:"platformUkId175377917713"
POST
/api/shipment/void_label
curl -i -X POST \
  https://x-api.shipsaving.com/api/shipment/void_label \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shipment_no": "1222243159",
    "platform_uk_id": "platformUkId175377917713"
  }'

Responses

OK

Bodyapplication/json
codestring
Example:"ok"
msgstring
Example:"ok"
dataobject
Example:
{}
Response
{ "code": "ok", "msg": "ok", "data": {} }